Support » Plugin: Relevanssi - A Better Search » Error after last update to 3.5.6

  • Resolved chillmen

    (@chillmen)


    Hi,
    After last update i got this error, and it is generated very very fast, more than hunbdreds errors per second.
    PHP Warning: mb_strpos() expects parameter 1 to be string, array given in /web/wp-content/plugins/relevanssi/lib/common.php on line 281

    + if i try to search in the frontend i get an empty white page.

    Any idea why?

    What i did already:
    -Disable/enable plugin
    -Remove old files and upload new plugin files

Viewing 7 replies - 1 through 7 (of 7 total)
  • mrmeeeseeks

    (@mrmeeeseeks)

    I am having exactly the same issue.

    ben69007

    (@ben69007)

    Hello all,

    Same issue here too :/

    Warning: preg_match_all() expects parameter 2 to be string, array given in /homepages/xx/xxxxxxxxxx/htdocs/wordpress/wp-includes/formatting.php on line 5041

    Warning: mb_strpos() expects parameter 1 to be string, array given in /homepages/xx/xxxxxxxxxx/htdocs/wordpress/wp-content/plugins/relevanssi/lib/common.php on line 273

    Thank you for your help

    Plugin Author Mikko Saari

    (@msaari)

    Both Premium and free are now fixed, corrected versions are available through automatic update. There was a small typo in the latest version; I did it in a rush to fix a security vulnerability, and didn’t test it, since it was such a small change.

    ben69007

    (@ben69007)

    That works for me 🙂
    Thank you Mikko Saari

    holgerhubbs

    (@holgerhubbs)

    Here as well:

    Warning: preg_match_all() expects parameter 2 to be string, array given in /home/holger/webapps/toosimpv0/wp-includes/formatting.php on line 5041

    Warning: mb_strpos() expects parameter 1 to be string, array given in /home/holger/webapps/toosimpv0/wp-content/plugins/relevanssi/lib/common.php on line 273

    Warning: mysqli_real_escape_string() expects parameter 2 to be string, array given in /home/holger/webapps/toosimpv0/wp-includes/wp-db.php on line 1166

    Warning: mysqli_query(): Empty query in /home/holger/webapps/toosimpv0/wp-includes/wp-db.php on line 1868

    Plugin Author Mikko Saari

    (@msaari)

    There as well the update to 3.5.6.1 will fix the problem.

    camilo saraiva

    (@camilo-saraiva)

    Mikko Thanks for the quick fix.

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Error after last update to 3.5.6’ is closed to new replies.